<div class='popup-filter' {{did-insert this.setup}} ...attributes>
  <Filters::Pill
    @onSelect={{this.toggleVisibility}}
    @onReset={{this.reset}}
    @value={{this.niceValue}}
    @title={{t 'visibility'}}
  />

  {{#if this.showSuggestions}}
    <div class='popover-custom popover bs-popover-bottom search-suggestions'>
      <div class='popover-arrow'></div>
      <div class='popover-body d-grid gap-1'>
        <button
          type='button'
          class='btn
            {{if this.isPublished "btn-secondary" "btn-outline-secondary"}}
            btn-show-published'
          {{on 'click' (fn this.change '1')}}
        >
          <MarkDown @value={{t 'only published'}} />
        </button>

        <button
          type='button'
          class='btn
            {{if this.isPending "btn-secondary" "btn-outline-secondary"}}
            btn-show-pending'
          {{on 'click' (fn this.change '-1')}}
        >
          <MarkDown @value={{t 'only pending'}} />
        </button>

        <button
          type='button'
          class='btn
            {{if this.isUnpublished "btn-secondary" "btn-outline-secondary"}}
            btn-show-unpublished'
          {{on 'click' (fn this.change '0')}}
        >
          <MarkDown @value={{t 'only unpublished'}} />
        </button>
      </div>
    </div>
  {{/if}}
</div>